/// <reference types="react" />
import { Cell as ReactTableCell } from 'react-table';
declare type CellProps = {
    cell: ReactTableCell;
    id: string;
    isLoading?: boolean;
    isExpandable?: boolean;
    isRowSelectable?: (row: any) => boolean;
};
declare const Cell: ({ cell, id, isLoading, isExpandable, isRowSelectable }: CellProps) => JSX.Element;
export default Cell;
