"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _elements = require("@cloudflare/elements");

var _HeaderCell = _interopRequireDefault(require("./HeaderCell"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HeaderRow = function HeaderRow(_ref) {
  var headerGroups = _ref.headerGroups,
      isLoading = _ref.isLoading,
      isEmpty = _ref.isEmpty,
      hasError = _ref.hasError,
      disableHeaders = _ref.disableHeaders,
      selectAllKey = _ref.selectAllKey;
  if (disableHeaders) return null;
  return /*#__PURE__*/_react.default.createElement(_elements.Div, {
    role: "rowgroup",
    display: "block"
  }, headerGroups.map(function (headerGroup, i) {
    return /*#__PURE__*/_react.default.createElement("tr", headerGroup.getHeaderGroupProps(), headerGroup.headers.map(function (column) {
      return /*#__PURE__*/_react.default.createElement(_HeaderCell.default, {
        key: column.id,
        column: column,
        isLoading: isLoading,
        isEmpty: isEmpty,
        hasError: hasError,
        selectAllKey: selectAllKey
      });
    }));
  }));
};

var _default = HeaderRow;
exports.default = _default;